<?php
/**************************** Version 20220411 ****************************/
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
//global $SITE;
if (!isset($fcdays)) {
	$useOnClick = false; // Use 'onclick' or 'onmouseover'
	$divWidth = '656'; // Minimum  width of Saratoga template page for this script
	$nwsOffice = 'oax'; // Local NWS office
	$fcdays = 'first2Days'; // Initial forecast days can be 'first2Days', 'second2Days', or 'third2days'
	$divWidth = 656;
	$SITE['latitude']		= '40.790541';    //North=positive, South=negative decimal degrees
	$SITE['longitude']		= '-96.631311';  //East=positive, West=negative decimal degrees
	$staLat = $SITE['latitude'];
	$staLon = $SITE['longitude'];
	$SITE['noaazone'] 		= 'NEZ066'; // used for NOAA advisories and advforecast2.php forecasts
	$zCode = $SITE['noaazone']; // Use Settings.php forecast zone.  If this is a county zone, the script won't work
#$zCode = ''; // Hide the above $SITE['noaazone'] line and unhide this line.  Then enter your forecast zone
						 // from https://alerts.weather.gov/ if your Settings.php uses a county zone.  Surround the entry
						 // with the single quotes already present!
	$windUnits = 1; // 1 is mph and 0 is knots
	$timeInit = 'CY6';
	/*
	else if ($localTimeZone == 'America/Denver') $timeInit = 'MY7';
	else if ($localTimeZone == 'America/Los_Angeles') $timeInit = 'PY8';
	else if ($localTimeZone == 'America/Anchorage') $timeInit = 'AY9';
	else if ($localTimeZone == 'America/Honolulu') $timeInit = 'HN10';
	*/
}?>
<div id="fctype" align="center">
<div class="center">
<?php
//global $_SESSION; 
if (isset($_POST['fcdays'])) {
	$fcdays = $_POST['fcdays'];
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include_once ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['useOnClick'])) { // Are we using AJAX???
	$useOnClick = $_POST['useOnClick']; // If so, set maptype, mouse behavior, and div width.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include_once ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['nwsOffice'])) {
	$nwsOffice = $_POST['nwsOffice']; // Set nwsOffice
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include_once ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['staLat'])) {
	$staLat = $_POST['staLat']; // Set staLat
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include_once ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['staLon'])) {
	$staLon = $_POST['staLon']; // Set staLon
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include_once ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['zCode'])) {
	$zCode = $_POST['zCode']; // Set zCode
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include_once ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['divWidth'])) {
	$divWidth = $_POST['divWidth']; // Set divWidth
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include_once ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['timeInit'])) {
	$timeInit = $_POST['timeInit']; // Set timeInfo
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include_once ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['windUnits'])) {
	$windUnits = $_POST['windUnits']; // Set timeInfo
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include_once ('Settings.php'); // AJAX forgets these on localhost!
	}
}
?>
<span style="color:#000000; font-size:13px; font-family:arial, times new roman; font-size:large">
<b>Select Date Range:</b> &nbsp;
</span>

<select style="border:1px solid #000000; background-color:#FFFFFF; font-size:12px;" name="fcdays">

  <option value="first2Days"<?php echo $fcdays=='first2Days'? ' selected="selected"':""?>>Day 1-2 Outlook</option>
  <option value="second2Days"<?php echo $fcdays=='second2Days'? ' selected="selected"':""?>>Days 3-4 Outlook</option>
  <option value="third2Days"<?php echo $fcdays=='third2Days'? ' selected="selected"':""?>>Days 5-6 Outlook</option>

</select>
<hr align="center" />
<?php
$jsConstants = array(
	'var divWidth = "'.$divWidth.'";',
	'var useOnClick = "'.$useOnClick.'";',
	'var nwsOffice = "'.'\''.$nwsOffice.'\''.'";',
	'var staLat = "'.$staLat.'";',
	'var staLon = "'.$staLon.'";',
	'var zCode = "'.'\''.$zCode.'\''.'";',
	'var timeInit = "'.'\''.$timeInit.'\''.'";',
	'var windUnits = "'.$windUnits.'";',
);
/* Debug Code *
echo '<br/>'.'$jsConstants: '.'<br/>';
	for ($i=0; $i<count($jsConstants); $i++) {
		echo $jsConstants[$i];
	}
/* End Debug Code */	  
?>
<script type="text/javascript">
$("select").change(function () {
	<?php for ($i=0; $i<count($jsConstants); $i++) {
		echo $jsConstants[$i];
	}?>
  var fcdays = $(this).val();
  showForecastjs(fcdays,divWidth,useOnClick,nwsOffice,staLat,staLon,zCode,timeInit,windUnits);
});
</script>

<?php if ($fcdays == 'first2Days') {
	$hrStart = '00';
}
else if ($fcdays == 'second2Days') {
	$hrStart = '48';
}
else if ($fcdays == 'third2Days') {
	$hrStart = '96';
}
$divWidth = 656;
?>
  <div class="center" style="width:<?php echo $divWidth?>px">
  <?php echo (($divWidth<800)?'<a href="https://forecast.weather.gov/meteograms/Plotter.php?lat='.$staLat.'&amp;lon='.$staLon.'&amp;wfo='.strtolower($nwsOffice).'&amp;zcode='.$zCode.'&amp;gset=18&amp;gdiff=6&amp;unit=0&amp;tinfo='.$timeInit.'&amp;ahour='.$hrStart.'&amp;pcmd=1101111111111000000000000000000000000000000000000000000000&amp;lg=en&amp;indu='.($windUnits?1:0).'!1!1&amp;dd=0&amp;bw=0&amp;hrspan=48&amp;pqpfhr=6&amp;psnwhr=6"  target="_blank" title="Larger Image">':'').'<img src="https://forecast.weather.gov/meteograms/Plotter.php?lat='.$staLat.'&amp;lon='.$staLon.'&amp;wfo='.strtolower($nwsOffice).'&amp;zcode='.$zCode.'&amp;gset=18&amp;gdiff=6&amp;unit=0&amp;tinfo='.$timeInit.'&amp;ahour='.$hrStart.'&amp;pcmd=1101111111111000000000000000000000000000000000000000000000&amp;lg=en&amp;indu='.($windUnits?1:0).'!1!1&amp;dd=0&amp;bw=0&amp;hrspan=48&amp;pqpfhr=6&amp;psnwhr=6" alt="'.$fcdays.'" width="'.$divWidth.'"/>'.(($divWidth<800)?'</a>':'');?>
  </div>
</div>
<hr style="width:<?php echo $divWidth?>"/>
<p style="text-align:center; font-size:9px; line-height:160%">Images courtesy of the <a href="https://www.weather.gov/<?php echo strtolower($nwsOffice)?>/" target="_blank" title="Off Site"><?php echo strtoupper($nwsOffice)?> NWS Weather Forecast Office</a>, 
<a href="https://forecast.weather.gov/MapClick.php?w0=t&amp;w1=td&amp;w2=wc&amp;w3=sfcwind&amp;w3u=<?php echo $windUnits?>&amp;w4=sky&amp;w5=pop&amp;w6=rh&amp;w7=thunder&amp;w8=rain&amp;w9=snow&amp;w10=fzg&amp;w11=sleet&amp;pqpfhr=6&amp;psnwhr=6&amp;AheadHour=48&amp;FcstType=graphical&amp;textField1=<?php echo $staLat?>&amp;textField2=<?php echo $staLon?>&amp;site=<?php echo strtolower($nwsOffice)?>&amp;unit=0&amp;dd=0&amp;bw=0&amp;BackDay.x=54&amp;BackDay.y=10&amp;BackDay=0" target="_blank" title="Off Site">Graphical Point Forecasts</a><br/>
Script by <a href="https://www.gwwilkins.org" target="_blank" title="Off Site">SE Lincoln Weather</a></p>
</div>
</div>